Bug 141758 - Yum-arch -c dies trying to verify GPG signatures...
Yum-arch -c dies trying to verify GPG signatures...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-03 11:35 EST by Randy Zagar
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 01:52:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch changes rpmUtils.checkSig to rpmUtils.oldUtils.checkSig() (609 bytes, patch)
2004-12-03 11:38 EST, Randy Zagar
no flags Details | Diff

  None (edit)
Description Randy Zagar 2004-12-03 11:35:25 EST
Description of problem:

The command "yum-arch -c" fails because the module "rpmUtils" has no
attribute "checkSig".  Here is the exact error message:


Traceback (most recent call last):
  File "/usr/bin/yum-arch", line 23, in ?
    pullheaders.main(sys.argv[1:])
  File "/usr/share/yum-cli/pullheaders.py", line 200, in main
    rpminfo = genhdrs(rpms, tempheaderdir, cmds)
  File "/usr/share/yum-cli/pullheaders.py", line 311, in genhdrs
    if rpmUtils.checkSig(rpmfn) > 0:
AttributeError: 'module' object has no attribute 'checkSig'

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mkdir /tmp/rpms ; cp <blah>/xorg*.i386.rpm /tmp/rpms
2. yum-arch -c /tmp/rpms
3. 
  
Actual results:

Digesting rpms 2 % complete: xorg-x11-Xvfb-6.8.1-12.FC3.1.i386.rpm   
                         
Traceback (most recent call last):
  File "/usr/bin/yum-arch", line 23, in ?
    pullheaders.main(sys.argv[1:])
  File "/usr/share/yum-cli/pullheaders.py", line 200, in main
    rpminfo = genhdrs(rpms, tempheaderdir, cmds)
  File "/usr/share/yum-cli/pullheaders.py", line 311, in genhdrs
    if rpmUtils.checkSig(rpmfn) > 0:
AttributeError: 'module' object has no attribute 'checkSig'


Expected results:

Digesting rpms 2 % complete: xorg-x11-Xvfb-6.8.1-12.FC3.1.i386.rpm   
          
Checking sig on xorg-x11-Xvfb-6.8.1-12.FC3.1.i386.rpm

Additional info:

The problem is that pullheaders.py tries to call rpmUtils.checkSig()
when it should be using rpmUtils.oldUtils.checkSig().
Comment 1 Randy Zagar 2004-12-03 11:38:00 EST
Created attachment 107841 [details]
This patch changes rpmUtils.checkSig to rpmUtils.oldUtils.checkSig()
Comment 2 Seth Vidal 2004-12-08 01:52:29 EST
Thanks, closed upstream.


Note You need to log in before you can comment on or make changes to this bug.